import logging

from etcd3_wrapper import Etcd3Wrapper
from decouple import config

logging.basicConfig(
    level=logging.DEBUG,
    filename="log.txt",
    filemode="a",
    format="%(asctime)s: %(levelname)s - %(message)s",
    datefmt="%d-%b-%y %H:%M:%S",
)


etcd_client = Etcd3Wrapper(host=config("ETCD_HOST"), port=config("ETCD_PORT"))
APP_PORT = config("APP_PORT", 5000)
STRIPE_API_PRIVATE_KEY = config("STRIPE_API_PRIVATE_KEY")
